Waiting for engine...
Skip to main content

Boomi Platform Connector API Reference (1.0.0) - ConnectorVersionReview

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Connector Version Review

Submit a connector version review request.

Features and Privileges

In addition to the developer privilege and the SDK publisher agreement, ensure that you have:

  • CONNECTOR_ADMINISTRATION feature — Controls the CONNECTOR_SUBMISSION privilege

  • CONNECTOR_SUBMISSION privilege — Required to autoconfigure a connector from a connector archive.

Submit a connector version review request

Use this operation to submit a connector version review request to review a version of your connector code.

Authorizations:
basicAuth
Request Body schema:
optional
groupType
required
string

groupType is the value of the Type column of the Boomi Enterprise Platform --> Developer tab --> Connectors table without the classification. For the connector-id, accountId-connectorType-classification, the connectorType value is accountId-connectorType after omitting the classification.

For example, if the Type column displays accountID-sample-uat, then the groupType will be accountID-sample.

version
required
string

Responses

Response Schema:
groupType
required
string

groupType is the value of the Type column of the Boomi Enterprise Platform --> Developer tab --> Connectors table without the classification. For the connector-id, accountId-connectorType-classification, the connectorType value is accountId-connectorType after omitting the classification.

For example, if the Type column displays accountID-sample-uat, then the groupType will be accountID-sample.

reviewStatus
required
string
submittedBy
required
string
version
required
string
uid
integer <int64>

Request samples

Content type
{
  • "groupType": "sampleGroupType",
  • "version": "3"
}

Response samples

Content type
{
  • "groupType": "sampleGroupType",
  • "version": "3",
  • "reviewStatus": "Pending",
  • "submittedBy": "Administrator",
  • "uid": 0
}

Cancel a pending connector version review request

Use the ConnectorVersionReview object to cancel a pending connector version review request.

Authorizations:
basicAuth
Request Body schema:
optional
groupType
required
string

groupType is the value of the Type column of the Boomi Enterprise Platform --> Developer tab --> Connectors table without the classification. For the connector-id, accountId-connectorType-classification, the connectorType value is accountId-connectorType after omitting the classification.

For example, if the Type column displays accountID-sample-uat, then the groupType will be accountID-sample.

version
required
string

Responses

Response Schema:
groupType
required
string

groupType is the value of the Type column of the Boomi Enterprise Platform --> Developer tab --> Connectors table without the classification. For the connector-id, accountId-connectorType-classification, the connectorType value is accountId-connectorType after omitting the classification.

For example, if the Type column displays accountID-sample-uat, then the groupType will be accountID-sample.

reviewStatus
required
string
submittedBy
required
string
version
required
string
uid
integer <int64>

Request samples

Content type
{
  • "groupType": "sampleGroupType",
  • "version": "3"
}

Response samples

Content type
{
  • "groupType": "sampleGroupType",
  • "version": "3",
  • "reviewStatus": "Pending",
  • "submittedBy": "Administrator",
  • "uid": 0
}